<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 06/03/2013 *
 * ===================                          Last change: 06/03/2013 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : cron.php                                         *
 * -------------------------------------------------------------------- *
 * Short description : Cron job script for external/local call          *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Cronjob-Script fuer externen/lokalen Aufruf      *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// XDEBUG call
//* DEBUG: */ xdebug_start_trace();

// Load security system
require('inc/libs/security_functions.php');

// Init start time
$GLOBALS['__start_time'] = microtime(TRUE);

/*
 * Set output to "raw mode", proper module and prevent HTML headers/footers
 * being sent.
 */
$GLOBALS['__output_mode'] = -1;
$GLOBALS['__module']      = 'cron';
$GLOBALS['__header_sent'] = 2;
$GLOBALS['__footer_sent'] = 2;

// Load config file
require('inc/config-global.php');

// Load header here
loadIncludeOnce('inc/header.php');

// @TODO Do stuff here

// Footer
loadIncludeOnce('inc/footer.php');

// [EOF]
?>
