<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 01/21/2013 *
 * ===================                          Last change: 01/21/2013 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : blacklist_de.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : German langugage support                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Deutsche Sprachunterstuetzung                    *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2012 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Language definitions
addMessages(array(
	// Admin messages
	'ADMIN_CONFIG_BLACKLIST_TITLE' => "Konfiguration von Sperrlisten",
	'ADMIN_CONFIG_BLACKLIST_LEGEND' => "Sperrlisten aktvieren:",
	'ADMIN_CONFIG_EMAIL_BLACKLIST_ENABLED' => "Sperrliste f&uuml;r Email-Adressen aktivieren?",
	'ADMIN_CONFIG_URL_BLACKLIST_ENABLED' => "Sperrliste f&uuml;r gebuchte URLs aktivieren?",
	'ADMIN_CONFIG_BLACKLIST_NOTICE' => "<strong>Hinweise:</strong> Die Sperrliste f&uuml;r Email-Adressen gilt sowohl f&uuml;r die Mitgliedsanmeldung als auch wenn das Mitglied seine Daten &auml;ndert. Ist die vom Mitglied eingegebene Email-Adresse gesperrt, wird diese nicht angenommen. Die URL-Sperrliste gilt f&uuml;r alle Erweiterungen (Besuchertausch, Mailbuchung, Forced-Buchungen usw.).",
));

// [EOF]
?>
